%% azpc -p mapQueen.pl /no /e mapQueen /lib $(AZ-Prolog)\obj\prolog2.res

top_level:- 
	prompt(_,''),
	repeat,
	    read_x(List),
	    select(List,A,AL),
	    write([AL,[A]]),write('.'),nl,
	fail.

read_x(X):- read(X),list(X),!.
read_x(_):- halt.

select([A|L],A,L).
select([A|L],B,[A|R]) :- select(L,B,R).
